#############################################################
# file: plotOpensees.tcl
# author: Hanlin DONG (http://www.hanlindong.com)
# version: 1.1
# license: MIT License (https://opensource.org/licenses/MIT)
# last update: 2017-05-07 12:00
# readme: 
#   This prints the opensees model to be ploted by plotOpensees.lsp in AutoCAD
#   You can find plotOpensees.lsp at www.hanlindong.com
#############################################################
set filename "opslog.txt"
set f [open $filename "w"]
puts $f nodes:
set nodetags [getNodeTags]
foreach nodetag $nodetags {
    puts $f node
    puts $f $nodetag
    puts $f [nodeCoord $nodetag 1]
    puts $f [nodeCoord $nodetag 2]
    puts $f 0.0
}
puts $f elements:
set eletags [getEleTags]
foreach eletag $eletags {
    puts $f ele
    puts $f $eletag
    set elenode [eleNodes $eletag]
    puts $f [lindex $elenode 0]
    puts $f [lindex $elenode 1]
}
puts $f print:
close $f
# # for further develop
# print $filename
puts "model printed to opslog.txt"